shishi_kdcreq_add_padata_tgs(3)

NAME
shishi_kdcreq_add_padata_tgs - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_add_padata_tgs(Shishi * handle, Shishi_asn1 kdcreq, Shishi_asn1 apreq);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ to add PA-DATA to.

Shishi_asn1 apreq
    AP-REQ to add as PA-DATA.

DESCRIPTION
Add TGS pre-authentication data to KDC-REQ. The data is an AP-REQ that authenticates the request. This functions simply DER encodes the AP-REQ and calls shishi_kdcreq_add_padata() with a SHISHI_PA_TGS_REQ padatatype.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.